org.richfaces.javascript

## Class JSWithDependencies

- java.lang.Object
- - org.richfaces.javascript.ScriptStringBase
  - - org.richfaces.javascript.JSWithDependencies

- All Implemented Interfaces:
    ScriptString, ScriptWithDependencies, ResourceLibrary

      public class JSWithDependencies
      extends ScriptStringBase
      implements ScriptWithDependencies

  Wrapper object that adds dependencies to any object whether it implements `ScriptString` or not.

  Author:
    asmirnov@exadel.com

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.javascript.ScriptStringBase

      `COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSWithDependencies(Object wrapped, Iterable<ResourceKey> resources)`
    `JSWithDependencies(Object wrapped, ResourceKey... resources)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendScript(Appendable target)` Append JavaScript code to @link `Appendable`
    `Iterable<ResourceKey>` | `getResources()`

    - ### Methods inherited from class org.richfaces.javascript.ScriptStringBase

      `appendScriptToStringBuilder, toScript, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.javascript.ScriptString

      `appendScriptToStringBuilder, toScript`

- - ### Constructor Detail

    - #### JSWithDependencies

          public JSWithDependencies(Object wrapped,
                            Iterable<ResourceKey> resources)

    - #### JSWithDependencies

          public JSWithDependencies(Object wrapped,
                            ResourceKey... resources)

  - ### Method Detail

    - #### getResources

          public Iterable<ResourceKey> getResources()

      Specified by:
        `getResources` in interface `ResourceLibrary`

    - #### appendScript

          public void appendScript(Appendable target)
                            throws IOException

      Description copied from interface: `ScriptString`
      Append JavaScript code to @link `Appendable`
      Specified by:
        `appendScript` in interface `ScriptString`
      Throws:
        `IOException`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.